# https://github.com/libimobiledevice/libplist
# git snapshot from commit 025d042c6228ab41832bcb3ebbae070a76033a4c

# comment out when not a git snapshot
#define git	20190813

%define rel	1

#----------------------------------------------------------------------------

%define major		4
%define api		2.0
%define libname		%mklibname plist %{api} %{major}
%define libnamedev	%mklibname plist -d
%define libnamecxx	%mklibname plist++ %{api} %{major}
%define libnamecxxdev	%mklibname plist++ -d

#----------------------------------------------------------------------------

Name:		libplist
Version:	2.7.0
Release:	%mkrel %{?git:0.git%git.}%{rel}
Summary:	Library for manipulating Apple Binary and XML Property Lists
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.libimobiledevice.org/
Source0:	https://github.com/libimobiledevice/libplist/releases/download/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	make
BuildRequires:	automake
BuildRequires:	autoconf
Provides:	plistutil = %{version}

%description
libplist is a library for manipulating Apple Binary and XML Property Lists.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for manipulating Apple Binary and XML Property Lists
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libplist is a library for manipulating Apple Binary and XML Property Lists.

#----------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for libplist
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name}, development headers and libraries.

#----------------------------------------------------------------------------

%package -n	%{libnamecxx}
Summary:	C++ binding for libplist
Group:		Development/C++
Requires:	%{name} >= %{version}-%{release}

%description -n %{libnamecxx}
C++ bindings for %{name}.

#----------------------------------------------------------------------------

%package -n	%{libnamecxxdev}
Summary:	Development package for libplist++
Group:		Development/C++
Requires:	%{libnamecxx} = %{version}-%{release}
Provides:	%{name}++-devel = %{version}-%{release}

%description -n %{libnamecxxdev}
%{name}, C++ development headers and libraries.

#----------------------------------------------------------------------------

%package -n	python3-plist
Summary:	Python 3 bindings for libplist
Group:		Development/Python
BuildRequires:	python3-cython
BuildRequires:	python3-devel
%{?python_provide:%python_provide python3-plist}
Requires:	python3

%description -n python3-plist
%{name}, python3 libraries and support.

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure \
		--disable-static \
		PYTHON=%{python3} \
		CYTHON=%{_bindir}/cython-3
%__make

#----------------------------------------------------------------------------

%install
%make_install

#----------------------------------------------------------------------------

%files
%doc AUTHORS README.md
%license COPYING.LESSER
%{_bindir}/plistutil
%{_mandir}/man1/plistutil.1*

#----------------------------------------------------------------------------

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%files -n %{libnamedev}
%dir %{_includedir}/plist
%{_includedir}/plist/*.h
%{_includedir}/plist/cython/
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/%{name}-%{api}.so

#----------------------------------------------------------------------------

%files -n %{libnamecxx}
%{_libdir}/%{name}++-%{api}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%files -n %{libnamecxxdev}
%{_libdir}/pkgconfig/%{name}++-%{api}.pc
%{_libdir}/%{name}++-%{api}.so

#----------------------------------------------------------------------------

%files -n python3-plist
%{python3_sitearch}/plist.so


%changelog
* Tue Jul 22 2025 daviddavid <daviddavid> 2.7.0-1.mga10
+ Revision: 2258026
- new version: 2.7.0

* Wed Jul 02 2025 umeabot <umeabot> 2.6.0-3.mga10
+ Revision: 2242675
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 2.6.0-2.mga10
+ Revision: 2160333
- rebuild for python3.13

* Tue Jun 11 2024 daviddavid <daviddavid> 2.6.0-1.mga10
+ Revision: 2072721
- new version: 2.6.0

* Sat Mar 09 2024 daviddavid <daviddavid> 2.4.0-1.mga10
+ Revision: 2048856
- new version: 2.4.0

* Tue Dec 19 2023 papoteur <papoteur> 2.3.0-2.mga10
+ Revision: 2019503
- Mass Rebuild - Python 3.12

* Thu Aug 31 2023 daviddavid <daviddavid> 2.3.0-1.mga10
+ Revision: 1982079
- new version: 2.3.0
- now libmajor is 4

* Sun Mar 27 2022 umeabot <umeabot> 2.2.0-4.mga9
+ Revision: 1829414
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 2.2.0-3.mga9
+ Revision: 1787141
- rebuild for python-3.10

* Thu Mar 25 2021 daviddavid <daviddavid> 2.2.0-2.mga9
+ Revision: 1710178
- rebuild for python 3.9

* Sat Jun 20 2020 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1597869
- new version: 2.2.0
- now libraries uses an api 2.0

* Tue Feb 18 2020 umeabot <umeabot> 2.1.0-2.mga8
+ Revision: 1538805
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 27 2019 daviddavid <daviddavid> 2.1.0-1.mga8
+ Revision: 1463119
- new version: 2.1.0

* Wed Sep 11 2019 wally <wally> 2.0.0-4.git20190813.2.mga8
+ Revision: 1439646
- rebuild for python3.8

* Mon Aug 26 2019 daviddavid <daviddavid> 2.0.0-4.git20190813.1.mga8
+ Revision: 1432403
- update to latest git snapshot: 2.0.0-git20190813 (mga#25355)
- remove merged upstream patches

* Mon Aug 26 2019 daviddavid <daviddavid> 2.0.0-3.mga8
+ Revision: 1432286
- port the python bindings to Python 3

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1299094
- Mageia 7 Mass Rebuild

* Mon Oct 23 2017 mjack <mjack> 2.0.0-1.mga7
+ Revision: 1173210
- Updated to version 2.0.0
- Removed patches already applied by upstream
- Cleaned up the build section
- Added Provides tag to libplist indicating the binary provided

* Sun Jun 04 2017 luigiwalser <luigiwalser> 1.12-4.mga6
+ Revision: 1106653
- add more upstream fixes to bplist, including fix for CVE-2017-6440

* Wed Apr 26 2017 neoclust <neoclust> 1.12-3.mga6
+ Revision: 1097462
- * New upstream snapshot; tarball was generated from
  https://github.com/libimobiledevice/libplist/archive/e37ca0090343e0dae97e967d467bab56d502c37a.tar.gz
    - Fixes CVE-2017-5834, CVE-2017-5835, CVE-2017-5836 (Closes: #854000) (mg#20232)
    - Fixes CVE-2017-5209 (Closes: #851196) (mg#20232)
    - Fixes CVE-2017-5545 (Closes: #852385) (mg#20232)

* Thu Feb 11 2016 umeabot <umeabot> 1.12-2.mga6
+ Revision: 955616
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 daviddavid <daviddavid> 1.12-1.mga6
+ Revision: 876062
- new version: 1.12
- now major is 3

* Wed Oct 15 2014 umeabot <umeabot> 1.11-7.mga5
+ Revision: 745015
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.11-6.mga5
+ Revision: 726830
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.11-5.mga5
+ Revision: 681711
- Mageia 5 Mass Rebuild

* Mon Mar 31 2014 daviddavid <daviddavid> 1.11-4.mga5
+ Revision: 610951
- use correct specification for required main pkg on library
- drop obsolete macro on %%py_requires -d

* Mon Mar 31 2014 daviddavid <daviddavid> 1.11-3.mga5
+ Revision: 610827
- add a comment for the fix of cython stuff
- prefer use pkgconfig on BR
- specify also the release of required packages (according to Mageia's policy)

* Mon Mar 31 2014 daviddavid <daviddavid> 1.11-2.mga5
+ Revision: 610733
- fix missing cython stuff needed for libimobiledevice build
  * thanks for luigiwalser help

* Sun Mar 30 2014 daviddavid <daviddavid> 1.11-1.mga5
+ Revision: 610678
- remove swig python bindings from upstream
- change build system to autotools from upstream
- add autoreconf and configure for build
- add BRs on libtool and gcc-c++
- minor cosmetic change
- new major: 2
- new version: 1.11

* Sat Oct 19 2013 umeabot <umeabot> 1.10-2.mga4
+ Revision: 528539
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 luigiwalser <luigiwalser> 1.10-1.mga4
+ Revision: 445870
- 1.10
- fix files list
- clean spec

* Sat Jan 12 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 357976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 fwang <fwang> 1.8-1.mga2
+ Revision: 217813
- fix build
- br cython
- new version 1.8
- update url

* Thu Sep 08 2011 tv <tv> 1.4-1.mga2
+ Revision: 141180
- new release

* Tue Jan 18 2011 pterjan <pterjan> 1.3-4.mga1
+ Revision: 21795
- Rebuild for python 2.7

* Sat Jan 15 2011 blino <blino> 1.3-3.mga1
+ Revision: 18979
- remove old ldconfig scriptlets
- imported package libplist


* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.3-2mdv2010.1
+ Revision: 540035
- rebuild so that shared libraries are properly stripped again

* Tue Apr 20 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.3-1mdv2010.1
+ Revision: 536948
- libplist 1.3

* Fri Feb 12 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.2-1mdv2010.1
+ Revision: 504510
- libplist 1.2

* Mon Jan 11 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.1-4mdv2010.1
+ Revision: 489608
- fix again Conflicts: between libplist++ and libplists++-devel

* Tue Dec 29 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1-3mdv2010.1
+ Revision: 483261
- fix library name in Conflicts:

* Tue Dec 15 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1-2mdv2010.1
+ Revision: 479034
- add Conflicts in libplist++-devel on older libplist++ since the latter used to ship the .so file

* Tue Dec 15 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1-1mdv2010.1
+ Revision: 478857
- libplist 1.1

* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0-1mdv2010.1
+ Revision: 474466
- libplist 1.0.0

* Fri Nov 06 2009 Colin Guthrie <cguthrie@mandriva.org> 0.16-1mdv2010.1
+ Revision: 460535
- New version: 0.16 (work by teuf)

* Thu Aug 06 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.13-2mdv2010.0
+ Revision: 410904
- fix name of python package

* Thu Aug 06 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.13-1mdv2010.0
+ Revision: 410622
- fix rpm groups
- import libplist


* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 11 2009 Peter Robinson <pbrobinson@gmail.com> 0.13-1
- New upstream 0.13 release

* Mon May 11 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-2
- Further review updates

* Sun May 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.12-1
- Update to official tarball release, some review fixes

* Sun May 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.12.0-0.1
- Initial package
